# $Id: kernel-fix-security-exec-shield.spec,v 1.5 2006/09/19 19:35:41 lakostis Exp $

%define patch_name kernel-fix-security-exec-shield
%define kver 2.6.16

Name: %patch_name
Version: %kver
Release: alt5
Summary: %patch_name kernel patch - Ingo Molnar's Exec-Shield extension
License: GPL
Group: Development/Kernel
URL: http://redhat.com/~mingo/exec-shield/
BuildArch: noarch
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

BuildRequires: kernel-build-tools >= 0.3-alt1

%source     0  linux-2.6-execshield.patch	2.6
%source	   99  linux-2.6-execshield-ovz.patch   2.6/kernel-feat-core-openvz
%source	  100  linux-2.6-execshield-no_ovz.patch 2.6/not_kernel-feat-core-openvz

%description
The Exec-Shield extension Red Hat developed and introduced in the Fedora Core 1
release addresses these points and more. The first small change Exec-Shield
introduces is that the stack location is different for every process. The
kernel automatically adjusts the stack address downward by a random amount of
bytes. This does "waste" some memory and address space, but the possible range
of the downward adjustment is chosen so that this is not a problem. This
approach works since nothing in the process itself ever must depend on the
exact stack address. Such a property of a process has never been guaranteed.
With the stack randomization in place it is harder to create an exploit where
the code loaded into memory as part of the exploit is executed.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Tue Sep 19 2006 LAKostis <lakostis at altlinux.org> 2.6.16-alt5
- Sync with 2.6.16-1.2133_FC5.

* Thu Jul 13 2006 L.A. Kostis <lakostis@altlinux.ru> 2.6.16-alt4
- Fixed broken ovz patch.

* Mon Jun 26 2006 LAKostis <lakostis at altlinux.org> 2.6.16-alt3
- Added patches for OpenVZ cooperation.

* Wed Apr 12 2006 LAKostis <lakostis at altlinux.org> 2.6.16-alt2
- Switch to version from kernel-2.6.16-1.2069_FC5.

* Tue Mar 21 2006 LAKostis <lakostis at altlinux.org> 2.6.16-alt1
- Imported to ALTLinux kernel cvs.

